Summary:    Multilingualization datafiles for m17n-lib
Name:       m17n-db
Version:    1.8.3
Release:    2%{?dist}
License:    LGPL-2.1-or-later
URL:        http://www.nongnu.org/m17n
Source0:    http://download-mirror.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
# see https://raw.githubusercontent.com/gnuman/m17n-inglish-mims/master/minglish/minglish.mim
Source1:    minglish.mim


BuildRequires: make gcc
BuildRequires: gettext glibc-locale-source
Provides:   m17n-contrib = 1.1.14-4.fc20

BuildArch:  noarch

%description
This package provides multilingualization (m17n) datafiles for m17n-lib which describe input 
maps, encoding maps, OpenType font data and font layout text rendering for languages.

%package extras
Summary:  Extra m17n-db files
Requires: %{name} = %{version}-%{release}
Provides:   m17n-contrib-extras = 1.1.14-4.fc20

%description extras
This package provides m17n-db extra files for input maps that are less used.

%package devel
Summary:  Development files for m17n-db
Requires: %{name} = %{version}-%{release}

%description devel
This package provides m17n-db development files.


%prep
%autosetup -p0

%build
%configure
%{make_build}

%install
%{make_install}

rm %{buildroot}%{_datadir}/m17n/ispell.mim

# install minglish
/usr/bin/install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/m17n

%find_lang %name

%files 
%license COPYING
%doc AUTHORS README
%dir %{_datadir}/m17n
%{_datadir}/m17n/mdb.dir
%{_datadir}/m17n/*.tbl
%{_datadir}/m17n/scripts
%{_datadir}/m17n/*.flt
%{_datadir}/m17n/a*.mim
%{_datadir}/m17n/b*.mim
%{_datadir}/m17n/c*.mim
%{_datadir}/m17n/d*.mim
%{_datadir}/m17n/e*.mim
%{_datadir}/m17n/f*.mim
%{_datadir}/m17n/g*.mim
%{_datadir}/m17n/h*.mim
%{_datadir}/m17n/i*.mim
%{_datadir}/m17n/k*.mim
%{_datadir}/m17n/l*.mim
%{_datadir}/m17n/m*.mim
%{_datadir}/m17n/n*.mim
%{_datadir}/m17n/o*.mim
%{_datadir}/m17n/p*.mim
%{_datadir}/m17n/r*.mim
%{_datadir}/m17n/s*.mim
%{_datadir}/m17n/t*.mim
%{_datadir}/m17n/u*.mim
%{_datadir}/m17n/v*.mim
%{_datadir}/m17n/y*.mim
%{_datadir}/m17n/icons/*.png
%exclude %{_datadir}/m17n/zh-*.mim
%exclude %{_datadir}/m17n/icons/zh*.png
%exclude %{_datadir}/m17n/ja-*.mim
%exclude %{_datadir}/m17n/icons/ja*.png

%files extras -f %{name}.lang
%{_datadir}/m17n/zh-*.mim
%{_datadir}/m17n/icons/zh*.png
%{_datadir}/m17n/ja*.mim
%{_datadir}/m17n/icons/ja*.png
%{_datadir}/m17n/*.fst
%{_datadir}/m17n/*.map
%{_datadir}/m17n/*.tab
%{_datadir}/m17n/*.lnm
%{_datadir}/m17n/LOCALE.*

%files devel
%{_bindir}/m17n-db
%{_datadir}/pkgconfig/m17n-db.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 25 2023 Wang Guodong <gordonwwang@tencent.com> - 1.8.3-1
- Upgrade to version 1.8.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 26 2022 Wang Guodong <gordonwwang@tencent.com> - 1.8.0-1
- package init.
